# Generated by Django 3.2.2 on 2022-04-26 14:30

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import xyz_util.modelutils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('screen_name', models.CharField(max_length=255, unique=True, verbose_name='帐号名称')),
                ('tid', models.CharField(max_length=32, unique=True, verbose_name='推特编号')),
                ('name', models.CharField(max_length=255, verbose_name='名称')),
                ('url', models.URLField(blank=True, default='', max_length=255, verbose_name='URL地址')),
                ('avatar', models.URLField(blank=True, default='', max_length=255, verbose_name='头像')),
                ('description', models.CharField(blank=True, default='', max_length=255, verbose_name='简介')),
                ('detail', xyz_util.modelutils.JSONField(blank=True, null=True, verbose_name='内容对象')),
                ('created_at', models.DateTimeField(blank=True, null=True, verbose_name='推特注册时间')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('is_active', models.BooleanField(default=True, verbose_name='有效')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='twitter_users', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': '用户',
                'verbose_name_plural': '用户',
                'ordering': ('-created_at', '-create_time'),
            },
        ),
        migrations.CreateModel(
            name='Tweet',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tid', models.CharField(blank=True, max_length=32, unique=True, verbose_name='推特编号')),
                ('full_text', models.CharField(max_length=255, unique=True, verbose_name='名称')),
                ('created_at', models.DateTimeField(blank=True, null=True, verbose_name='推特创建时间')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('is_active', models.BooleanField(default=True, verbose_name='有效')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='tweets', to='twitter.user', verbose_name='用户')),
            ],
            options={
                'verbose_name': '用户',
                'verbose_name_plural': '用户',
                'ordering': ('-is_active', '-created_at', '-create_time'),
            },
        ),
    ]
